﻿namespace gcexcelperformance
{
    public class ExcelAddressHelper
    {
        public static bool TrySplitSheetAndRange(string address, out string sheetName, out string rangeAddress)
        {
            sheetName = null;
            rangeAddress = null;

            if (address == null) return false;

            var lastIndexOfSeparator = address.LastIndexOf('!');
            if (lastIndexOfSeparator == -1) return false;

            sheetName = address.Substring(0, lastIndexOfSeparator);
            if (sheetName.StartsWith("'")) sheetName = address.Substring(1, lastIndexOfSeparator - 2);

            rangeAddress = address.Substring(lastIndexOfSeparator + 1, address.Length - lastIndexOfSeparator - 1);

            return true;
        }
    }
}